Redmine - Patch #2126

Slovak language pack
2008-11-02 20:32 - Stanislav Pach

Status: Closed Start date: 2008-11-02
Priority: Normal Due date: 2008-11-12
Assignee: Azamat Hackimov % Done: 100%
Category: Translations Estimated time: 0.00 hour
Target version: 0.8

Description

| have created Slovak (SK) language pack. The most of translation is finished (~95%). Maybe someone will appreciate it ;)

Associated revisions

Revision 1997 - 2008-11-08 23:34 - Azamat Hackimov

#2126, initial support of Slovak, thank to Stanislav Pach for translation

Revision 1998 - 2008-11-09 01:29 - Azamat Hackimov

populating new string, updates for ru.yml and sv.yml (#2126)

Revision 2026 - 2008-11-12 16:22 - Azamat Hackimov
New file for sk (#2126)

History

#1 - 2008-11-03 11:43 - Thomas Lecavelier

- Target version changed from 0.7.3 to 0.8

Thank you for the translation. Please don't target versions already released.

#2 - 2008-11-03 19:07 - Azamat Hackimov

- Assignee set to Azamat Hackimov

Stanislav, you need translate too public/javascripts/calendar/lang/calendar-en.js and public/javascripts/jstoolbar/lang/jstoolbar-en.js

#3 - 2008-11-03 22:23 - Stanislav Pach
- File calendar-sk.js added

- File jstoolbar-sk.js added

- File sk.yml added

2Tomas
Thanks for your advice - | was confused with selection of a version. Now | know that 0.7.3 was wrong decision ...

2Azamat
| have attached both translated files (calendar-sk.js and jstoolbar-sk.js) as well as updateda main language file (sk.yml). There are still 8 not
translated terms - can somebody tell where are used following terms : ?

label _bulk_edit_selected_issues:
setting_autofetch_changesets:
label_commits_per_month:
label_commits_per_author:
label_me:
setting_commit_logs_encoding:
Calendar._TT["ABOUT_TIME"]
Calendar._TT["ABOUT"]

Translation into SK language is a little bit tricky. Some terms were translated in connection with context.
Thanks for help.

#4 - 2008-11-07 15:43 - Jean-Philippe Lang
Thanks for your work.
Here is where the strings are used:

#5 - 2008-11-08 23:35 - Azamat Hackimov
- Due date set to 2008-11-09
- Status changed from New to Closed

- % Done changed from 90 to 100

Done. Updated sk.yml waiting you, Stanislav.

#6 - 2008-11-09 00:50 - Stanislav Pach
- File calendar-sk.js added

- File sk.yml added

label_bulk_edit_selected_issues: issues bulk edit view title (app/views/issues/bulk_edit.rhtml)
setting_autofetch_changesets: application settings (repository tab)
label_commits_per_month: commit statistics (eg: http://www.redmine.org/repositories/stats/redmine)

label_commits_per_author: same as above

label_me: issue filter drop down list
setting_commit_logs_encoding: application settings (repository tab)
Calendar._TT["ABOUT_TIME"]: calendar popup (click on ?)
Calendar._TT["ABOUT"]: not used

| have just finished the rest of translation - minority translation bugs should be fixed now. But in calendar-sk.js file there was a serious bug, which

caused disfunctional Calendar application - it's fixed too.

#7 - 2008-11-09 11:20 - Stanislav Pach
- File sk.yml added

Updated string label_me: to better form in sk.yml.

P.S.

How should | proceed when there will any updates of SK translation ? Should | use this thread (Patch #2126)? Please advice me.

#8 - 2008-11-09 17:31 - Stanislav Pach
- File sk.yml added

Updated new string label_example: .

#9 - 2008-11-11 21:48 - Stanislav Pach

- Status changed from Closed to Reopened

Please answer my questions. ThX

#10 - 2008-11-12 16:25 - Azamat Hackimov
- Due date changed from 2008-11-09 to 2008-11-12

- Status changed from Reopened to Closed

Hello again. If bug already opened and someone not closed it yet, you may update this bug with new files. But when bug closed, you should create

new one.

| added your last file to svn.

Files

sk.yml 28.1 KB 2008-11-02 Stanislav Pach
calendar-sk.js 3.67 KB 2008-11-03 Stanislav Pach
jstoolbar-sk.js 765 Bytes 2008-11-03 Stanislav Pach
sk.yml 28.1 KB 2008-11-03 Stanislav Pach
calendar-sk.js 2.83 KB 2008-11-08 Stanislav Pach
sk.yml 28.2 KB 2008-11-08 Stanislav Pach
sk.yml 28.2 KB 2008-11-09 Stanislav Pach
sk.yml 28.3 KB 2008-11-09 Stanislav Pach
